Subject: Re: [net-next PATCH v7 00/16] net: Add basic LED support for switch/phy

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Apr 2023 21:27:46 -0700

On Mon, 17 Apr 2023 17:17:22 +0200 Christian Marangi wrote:
> This is a continue of [1]. It was decided to take a more gradual
> approach to implement LEDs support for switch and phy starting with
> basic support and then implementing the hw control part when we have all
> the prereq done.
> 
> This series implements only the brightness_set() and blink_set() ops.
> An example of switch implementation is done with qca8k.
> 
> For PHY a more generic approach is used with implementing the LED
> support in PHY core and with the user (in this case marvell) adding all
> the required functions.
> 
> Currently we set the default-state as "keep" to not change the default
> configuration of the declared LEDs since almost every switch have a
> default configuration.

IIRC we were supposed to take these via netdev with acks from Pavel/Lee.
So we need acks on patches 4/5/16 ? If there is a repost, could you
take out the arch/arm patches? They should not go via netdev, we'll try
to filter them out when applying but mistakes happen.
-- 
pw-bot: need-ack